Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 376623)
+++ channels/chan_sip.c	(working copy)
@@ -22447,6 +22447,7 @@
 	struct ast_party_connected_line connected;
 	struct ast_set_party_connected_line update_connected;
 
+	ast_log(LOG_WARNING, "Recv address in handle_response_invite: %s\n", ast_sockaddr_stringify(&p->recv));
 	if (reinvite) {
 		ast_debug(4, "SIP response %d to RE-invite on %s call %s\n", resp, outgoing ? "outgoing" : "incoming", p->callid);
 	} else {
@@ -22566,6 +22567,7 @@
 			ast_rtp_instance_activate(p->rtp);
 		}
 		check_pendings(p);
+		ast_log(LOG_WARNING, "Recv address post-ringing: %s\n", ast_sockaddr_stringify(&p->recv));
 		break;
 
 	case 181:	/* Call Is Being Forwarded */
@@ -22665,6 +22667,7 @@
 		}
 		p->authtries = 0;
 		if (find_sdp(req)) {
+			ast_log(LOG_WARNING, "Recv address before SDP parse: %s\n", ast_sockaddr_stringify(&p->recv));
 			if ((res = process_sdp(p, req, SDP_T38_ACCEPT)) && !req->ignore)
 				if (!reinvite) {
 					/* This 200 OK's SDP is not acceptable, so we need to ack, then hangup */
@@ -22672,6 +22675,7 @@
 					ast_set_flag(&p->flags[0], SIP_PENDINGBYE);
 				}
 			ast_rtp_instance_activate(p->rtp);
+			ast_log(LOG_WARNING, "Recv address after SDP parse: %s\n", ast_sockaddr_stringify(&p->recv));
 		}
 
 		if (!req->ignore && p->owner) {
@@ -22714,6 +22718,7 @@
 		/* When we get 200 OK, we know which device (and IP) to contact for this call */
 		/* This is important when we have a SIP proxy between us and the phone */
 		if (outgoing) {
+			ast_log(LOG_WARNING, "Recv address before contact parse: %s\n", ast_sockaddr_stringify(&p->recv));
 			update_call_counter(p, DEC_CALL_RINGING);
 			parse_ok_contact(p, req);
 			/* Save Record-Route for any later requests we make on this dialogue */
@@ -22728,6 +22733,7 @@
 				}
 			}
 
+			ast_log(LOG_WARNING, "Recv address after contact parse: %s\n", ast_sockaddr_stringify(&p->recv));
 		}
 
 		if (!req->ignore && p->owner) {
@@ -22790,6 +22796,7 @@
 
 
 		/* If I understand this right, the branch is different for a non-200 ACK only */
+		ast_log(LOG_WARNING, "Recv address before ACK: %s\n", ast_sockaddr_stringify(&p->recv));
 		p->invitestate = INV_TERMINATED;
 		ast_set_flag(&p->flags[1], SIP_PAGE2_DIALOG_ESTABLISHED);
 		xmitres = transmit_request(p, SIP_ACK, seqno, XMIT_UNRELIABLE, TRUE);

